This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 805416 - Review Request: google-croscore-fonts - The width-compatible fonts for improved on-screen readability
Review Request: google-croscore-fonts - The width-compatible fonts for improv...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 05:00 EDT by Parag Nemade
Modified: 2012-04-12 07:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: google-croscore-fonts-1.21.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tagoh: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-03-21 05:00:38 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/croscore-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/croscore-fonts-1.21.0-1.fc16.src.rpm
Description: This package contains a collections of fonts that offers improved on-screen readability characteristics and the pan-European WGL character set and solves the needs of developers looking for width-compatible fonts to address document portability across platforms.
Comment 1 Akira TAGOH 2012-03-23 04:48:26 EDT
I'll take this for review. BTW isn't it better using %{version} in Source0? and you better follow up the steps in http://fedoraproject.org/wiki/Font_package_lifecycle too. I don't see this font in http://fedoraproject.org/wiki/Category:In-progress_fonts.
Comment 2 Parag Nemade 2012-03-26 04:04:29 EDT
updated both the things:
1) package is updated at same location (no release bump yet)
2) https://fedoraproject.org/wiki/Croscore_fonts

koji scratch build for f18 -> koji.fedoraproject.org/koji/taskinfo?taskID=3931981
Comment 3 Nicolas Mailhot 2012-03-26 08:34:42 EDT
Please add a google foundry prefix and the fontconfig rules to subsititute for arial/tnr & liberation (the inverse rules probably need addition to liberation too)
Comment 4 Parag Nemade 2012-03-27 01:49:27 EDT
updated but I still need help in writing those correct fontconfig files.

Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/google-croscore-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/google-croscore-fonts-1.21.0-1.fc16.src.rpm
Comment 5 Akira TAGOH 2012-03-27 02:11:26 EDT
You can check /etc/fonts/conf.d/30-metric-aliases.conf for the references.
Comment 7 Akira TAGOH 2012-03-27 05:43:10 EDT
As the description for SymbolNeu says it's compatible font to Symbol. I guess you better have the substitution for that? and you shouldn't have any relationship to sans-serif for that.
Comment 8 Parag Nemade 2012-03-27 06:09:46 EDT
Thanks for the comment. Updated at the same location as given in comment#6
Comment 9 Akira TAGOH 2012-03-27 07:11:21 EDT
Here we go:

* rpmlint result:
  google-croscore-fonts.src: W: no-url-tag
  google-croscore-fonts.src: W: invalid-url Source0:  http://gsdview.appspot.com/chromeos-localmirror/distfiles/croscorefonts-1.21.0.tar.gz HTTP Error 405: Method Not Allowed
  1 packages and 0 specfiles checked; 0 errors, 2 warnings.

  google-croscore-arimo-fonts.noarch: W: no-url-tag
  google-croscore-arimo-fonts.noarch: W: no-documentation
  google-croscore-cousine-fonts.noarch: W: no-url-tag
  google-croscore-cousine-fonts.noarch: W: no-documentation
  google-croscore-fonts-common.noarch: W: no-url-tag
  google-croscore-symbolneu-fonts.noarch: W: no-url-tag
  google-croscore-symbolneu-fonts.noarch: W: no-documentation
  google-croscore-tinos-fonts.noarch: W: no-url-tag
  google-croscore-tinos-fonts.noarch: W: no-documentation
  5 packages and 0 specfiles checked; 0 errors, 9 warnings.

+ package name meets the naming guidelines
+ the spec file name matches %{name}.spec
+ package meets the packaging guidelines
+ package meets the licensing guidelines
+ License field has the actual license
+ License file is available in the package
+ the spec file is written in American English
+ the spec file is legible
+ the sources matches the upstream source
+ the package can be built into binary rpms
* no locale files available
* no shared libraries available
+ package owns directories it creates
+ package consistently uses macros
* no large documentation files available
* no devel files available
* no desktop files available

Is it maybe a good idea to move the source URL to the comment and have the name of tarball in the Source field perhaps? otherwise it looks good to me. APPROVED.
Comment 10 Parag Nemade 2012-03-27 23:57:12 EDT
New Package SCM Request
=======================
Package Name: google-croscore-fonts 
Short Description: The width-compatible fonts for improved on-screen readability
Owners: pnemade
Branches: 17
InitialCC: fonts-sig  i18n-team
Comment 11 Parag Nemade 2012-03-27 23:57:37 EDT
Thanks Akira for the review.
Comment 12 Jon Ciesla 2012-03-28 08:40:30 EDT
Git done (by process-git-requests).

Corrected branch.
Comment 13 Fedora Update System 2012-03-28 23:12:20 EDT
google-croscore-fonts-1.21.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/google-croscore-fonts-1.21.0-2.fc17
Comment 14 Fedora Update System 2012-03-29 23:00:09 EDT
google-croscore-fonts-1.21.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Parag Nemade 2012-04-02 01:01:13 EDT
Package Change Request
======================
Package Name: google-croscore-fonts
New Branches: f15 f16
Owners: pnemade
Comment 16 Jon Ciesla 2012-04-02 06:04:10 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2012-04-02 07:50:06 EDT
google-croscore-fonts-1.21.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/google-croscore-fonts-1.21.0-2.fc15
Comment 18 Fedora Update System 2012-04-02 07:50:22 EDT
google-croscore-fonts-1.21.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/google-croscore-fonts-1.21.0-2.fc16
Comment 19 Fedora Update System 2012-04-11 22:52:44 EDT
google-croscore-fonts-1.21.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 20 Fedora Update System 2012-04-12 07:29:28 EDT
google-croscore-fonts-1.21.0-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 21 Fedora Update System 2012-04-12 07:30:41 EDT
google-croscore-fonts-1.21.0-2.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.